- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# messagebuffer.h File Reference

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
## Classes
class | CharMessageBuffer
| This class is used by the LOG4CXX_INFO and similar macros to support insertion operators in the message parameter. More...
class | UniCharMessageBuffer
| This class is designed to support insertion operations in the message argument to the LOG4CXX_INFO and similar macros and is not designed for general purpose use. More...
class | WideMessageBuffer
| This class is designed to support insertion operations in the message argument to the LOG4CXX_INFO and similar macros and is not designed for general purpose use. More...
class | MessageBuffer
| This class is used by the LOG4CXX_INFO and similar macros to support insertion operators in the message parameter. More...
## Typedefs
typedef std::ios_base &(* | log4cxx::helpers::ios_base_manip )(std::ios_base &)
## Functions
template<class V>
std::basic_ostream< char > & | log4cxx::helpers::operator<< (CharMessageBuffer &os, const V &val)
template<class V>
UniCharMessageBuffer::uostream & | log4cxx::helpers::operator<< (UniCharMessageBuffer &os, const V &val)
template<class V>
std::basic_ostream< wchar_t > & | log4cxx::helpers::operator<< (WideMessageBuffer &os, const V &val)
template<class V>
std::ostream & | log4cxx::helpers::operator<< (MessageBuffer &os, const V &val)